# Hyperparameter Tuning for Classifiers

This project implements a hyperparameter tuning utility for multiple classifiers using `GridSearchCV` from `sklearn`. The supported classifiers include Random Forest, Gradient Boosting, AdaBoost, SVM, K-Nearest Neighbors, Logistic Regression, Decision Trees, Naive Bayes, MLP, and more.

## Features
- Grid search for hyperparameter optimization on a variety of models.
- Support for additional custom parameters.
- Cross-validation (CV) support for model evaluation.
- Parallel processing for faster results.

## Setup
1. Clone this repository:
   ```bash
   git clone <repository_url>
